## curlpp 0.6.0-1

=== debian/changelog ===
curlpp (0.6.0-1) unstable; urgency=low

  * Initial debianization

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Wed, 23 May 2007 15:49:23 +0300
