=== debian/control ===
Source: curlpp
Section: libs
Priority: optional
Maintainer: Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>
Build-Depends: debhelper (>= 4.1.0), cdbs, libcurl3-dev
Standards-Version: 3.6.1.0

Package: libcurlpp0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CURL bindings for C++
 CURL bindings for C++

Package: libcurlpp-dev
Section: libs
Architecture: any
Depends: libcurlpp0 (= ${Source-Version}), libcurl3-dev
Description: CURL bindings for C++. Developement package.
 CURL bindings for C++

Package: libcurlpp-utils
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CURL bindings for C++. Utils
 CURL bindings for C++. Utils
