## curlpp 0.6.0-2

=== debian/changelog ===
curlpp (0.6.0-2) unstable; urgency=low

  * namespace added to Info.cpp. Fixes: NB#78154

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Fri,  7 Dec 2007 11:29:03 +0200
