=== debian/control ===
--- 
+++ 
@@ -16,13 +16,13 @@
 Section: libs
 Architecture: any
 Depends: libcurlpp0 (= ${Source-Version}), libcurl3-dev
-Description: CURL bindings for C++. Developement package.
+Description: CURL bindings for C++. Development package.
  CURL bindings for C++
 
 Package: libcurlpp-utils
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: CURL bindings for C++. Utils
- CURL bindings for C++. Utils
+Description: CURL bindings for C++. Utilities 
+ CURL bindings for C++. Utilities
