## curlpp 0.7.3

=== debian/changelog ===
curlpp (0.7.3-2) unstable; urgency=low

  * Don't install config.h nor include it in headers.

 -- Ximin Luo <infinity0@gmx.com>  Sat, 21 Sep 2013 12:10:31 +0100

curlpp (0.7.3-1) unstable; urgency=low

  [ Goedson Teixeira Paixao ]
  * Fix Makefile.in to include config.h

  [ Ximin Luo ]
  * Patch global.h so users don't need to define HAVE_CONFIG_H
  * Initial release (Closes: #592133)

 -- Ximin Luo <infinity0@gmx.com>  Wed, 18 Sep 2013 19:03:56 +0100
