=== debian/control ===
Source: curlpp
Priority: extra
Maintainer: Ximin Luo <infinity0@gmx.com>
Build-Depends: debhelper (>= 9), autotools-dev, libboost-dev (>= 1.33), libcurl4-openssl-dev | libcurl4-dev
Standards-Version: 3.9.4
Section: libs
Homepage: http://www.curlpp.org/
Vcs-Git: git://anonscm.debian.org/users/infinity0-guest/curlpp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/infinity0-guest/curlpp.git

Package: libcurlpp0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: c++ wrapper for libcurl
 curlpp provides a C++ wrapper for the libcurl library
 .
 This package provides the shared libraries needed to run
 programs using curlpp.

Package: libcurlpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcurlpp0 (= ${binary:Version})
Description: c++ wrapper for libcurl (development files)
 curlpp provides a C++ wrapper for the libcurl library
 .
 This package provides the include files and static libraries
 needed to build programs using curlpp.
