=== debian/watch ===
version=3
http://code.google.com/p/curlpp/downloads/list .*/curlpp-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
