## curlpp 0.8.1

=== debian/changelog ===
curlpp (0.8.1-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on g++ and libboost-dev.

  [ Aloïs Micard ]
  * d/source/lintian-overrides:
    - Silence OpenPGP signature check.
  * d/copyright:
    - Update copyright years.
  * d/control:
    - Bump Standards-Version.
  * d/patches:
    - Write patch to build with new libcurl version. (Closes: #1082972)
  * d/libcurlpp0t64.lintian-overrides:
    - Fix lintian overrides.

 -- Aloïs Micard <creekorful@debian.org>  Fri, 01 Nov 2024 10:55:52 +0100

curlpp (0.8.1-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop libcurlpp0 shlibs override in rules file, soname bump
    has happened. (Closes: #1067731)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 Mar 2024 07:45:08 +0100

curlpp (0.8.1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061993

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 27 Feb 2024 23:23:36 +0000

curlpp (0.8.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * libcurlpp-dev: Perform symlink to directory conversion of
    /usr/share/doc/libcurlpp-dev.  (Closes: #1035631)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 25 May 2023 15:39:56 +0200

curlpp (0.8.1-5) unstable; urgency=medium

  * Do not ship symbols at the moment.

 -- Aloïs Micard <creekorful@debian.org>  Fri, 03 Sep 2021 09:36:39 +0200

curlpp (0.8.1-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version.
    - Update my uploader email.
  * Now install examples.
  * d/upstream/metadata: Remove Homepage field.
  * Enabled hardening=+bindnow.
  * Export library symbols.

 -- Aloïs Micard <creekorful@debian.org>  Thu, 02 Sep 2021 10:11:04 +0200

curlpp (0.8.1-3) unstable; urgency=medium

  * Make myself maintainer. (Closes: #907733)
  * Bump debhelper compat.
  * Mark libcurl4-nss-dev as conflict. (Closes: #907496)

 -- Aloïs Micard <alois@micard.lu>  Mon, 19 Oct 2020 22:37:23 +0200

curlpp (0.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Fix version field export. (Closes: #868108)
  * Fix misssing depends on libcurl-dev. (Closes: #867666)
  * d/upstream/metadata: add upstream metadata.

 -- Aloïs Micard <alois@micard.lu>  Mon, 10 Aug 2020 06:37:47 +0200

curlpp (0.8.1-2) unstable; urgency=medium

  * Deal with GCC-7 op mangling. (Closes: #871281)
  * Update to latest Standards-Version. Changes:
    - Change Priority from extra to optional.

 -- Ximin Luo <infinity0@debian.org>  Thu, 24 Aug 2017 16:15:34 +0200

curlpp (0.8.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #811959)
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@debian.org>  Mon, 20 Mar 2017 19:19:37 +0100

curlpp (0.7.3-6) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Fix ftbfs with gcc-4.9. (Closes: #746841)

 -- Ximin Luo <infinity0@pwned.gg>  Sat, 17 May 2014 17:23:16 +0100

curlpp (0.7.3-5) unstable; urgency=low

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros. (Closes: #733081)

  [ Ximin Luo ]
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@pwned.gg>  Fri, 07 Feb 2014 15:59:50 +0000

curlpp (0.7.3-4) unstable; urgency=low

  * Don't mess with quilt patches during clean; it's more properly taken care
    of by dpkg-source instead. (Closes: #728097)

 -- Ximin Luo <infinity0@gmx.com>  Tue, 29 Oct 2013 13:40:09 +0000

curlpp (0.7.3-3) unstable; urgency=low

  * Update autotools config to take into account newer architectures
    (Closes: #727350)
  * Pre-emptively remove curlpp.spec via quilt so it can be restored later when
    `dh clean` gets rid of it

 -- Ximin Luo <infinity0@gmx.com>  Thu, 24 Oct 2013 14:20:44 +0100
