=== debian/control ===
Source: curlpp
Priority: optional
Maintainer: Aloïs Micard <creekorful@debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 cmake,
 libboost-dev,
 libcurl4-openssl-dev | libcurl4-dev
Build-Conflicts: libcurl4-nss-dev
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: libs
Homepage: https://www.curlpp.org/
Vcs-Git: https://salsa.debian.org/creekorful/curlpp.git
Vcs-Browser: https://salsa.debian.org/creekorful/curlpp

Package: libcurlpp0t64
Provides: ${t64:Provides}
Replaces: libcurlpp0
Breaks: libcurlpp0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: c++ wrapper for libcurl
 curlpp provides a C++ wrapper for the libcurl library
 .
 This package provides the shared libraries needed to run
 programs using curlpp.

Package: libcurlpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libcurlpp0t64 (= ${binary:Version}),
 libcurl4-openssl-dev | libcurl4-dev
Conflicts: libcurl4-nss-dev
Description: c++ wrapper for libcurl (development files)
 curlpp provides a C++ wrapper for the libcurl library
 .
 This package provides the include files and static libraries
 needed to build programs using curlpp.
