=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# hardening
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 %:
-	dh $@ 
-
-override_dh_installdocs:
-	dh_installdocs --link-doc=libcurlpp0
-
-override_dh_installchangelogs:
-	dh_installchangelogs CHANGES
+	dh $@
